Page MenuHomePhabricator

Wrong description shown for WikiLove type
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Create a new WikiLove type that has a description and no subtypes, for example:
$.wikiLoveOptions.types.puppy = {
	name: 'Puppy',
	descr: 'Puppies are cute!',
	fields: [ 'header', 'message' ],
	header: 'You get a puppy!',
	text: '[[File:2009-08-16 Puppy at Duke East 1.jpg|left|150px]]\n$1\n<br style="clear: both;"/>',
	icon: 'https://upload.wikimedia.org/wikipedia/commons/thumb/0/07/Fxemoji_u1F436.svg/53px-Fxemoji_u1F436.svg.png'
};
  1. Open WikiLove on that wiki and go to a WikiLove type that has subtypes, for example, Food.
  2. Switch to the WikiLove type that you created in step 1.

Expected result: The description for your type is displayed.

Actual result: The description for the subtype of the previously selected type is displayed.

You can view this bug live on Test Wikipedia: https://test.wikipedia.org/wiki/User:Kaldari

Event Timeline

kaldari created this task.Aug 16 2019, 1:13 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 16 2019, 1:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 530571 had a related patch set uploaded (by Kaldari; owner: Kaldari):
[mediawiki/extensions/WikiLove@master] Make sure description gets updated for both types and subtypes

https://gerrit.wikimedia.org/r/530571

kaldari updated the task description. (Show Details)Aug 16 2019, 1:24 PM

Change 530571 merged by jenkins-bot:
[mediawiki/extensions/WikiLove@master] Make sure description gets updated for both types and subtypes

https://gerrit.wikimedia.org/r/530571

Etonkovidova closed this task as Resolved.Aug 20 2019, 7:11 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in betalabs and testwiki wmf.19